function plot_results(t,U,caso,filename_U_anal)
%
%  caso = 1    masa-resorte-amortiguador de un solo dof lineal
%

plot_exact_solution = 1;
if nargin <4, plot_exact_solution = 0; end

if(caso==1),   
   ntime=length(t);
   nU=length(U);   
   figure(1);clf;figure(2);clf;
   x = [U(:,1)];
   v = [U(:,2)];   
   figure(1);plot(t,x);pause(0.1)
   figure(2);plot(t,v);pause(0.1)
   if plot_exact_solution==1
      % solucion analitica         
      [x_anal,v_anal]=feval(filename_U_anal,t);
      x_anal = real(x_anal);
      v_anal = real(v_anal);
      figure(1);hold on;plot(t,x_anal,'r.');
      figure(2);hold on;plot(t,v_anal,'r.');
   end   
   figure(1);title([' Error maximo = ' num2str(max(abs(x-x_anal)))])
   figure(2);title([' Error maximo = ' num2str(max(abs(v-v_anal)))])
elseif(caso==2)
   ntime=length(t);
   nU=length(U);   
   figure(1);clf;figure(2);clf;
   x1 = [U(:,1)]; 
   v1 = [U(:,2)];   
   x2 = [U(:,3)]; 
   v2 = [U(:,4)];   
   figure(1);plot(t,x1,t,x2);pause(0.1)
   figure(2);plot(t,v1,t,v2);pause(0.1)
   plot_exact_solution=0;
   if plot_exact_solution==1
      % solucion analitica         
      [x_anal,v_anal]=feval(filename_U_anal,t);
      x_anal = real(x_anal);
      v_anal = real(v_anal);
      figure(1);hold on;plot(t,x_anal,'r.');
      figure(2);hold on;plot(t,v_anal,'r.');
      figure(1);title([' Error maximo = ' num2str(max(abs(x-x_anal)))])
      figure(2);title([' Error maximo = ' num2str(max(abs(v-v_anal)))])         
   end   
else
   error('Caso mal elegido ')
end
